/*Data Access Library. v. 1.1.
 *Persistent object event listener interface. 
 *AUTHOR:  Alexander Jaremenko <jarem@altavista.net>
 *RELEASE DATE: 
 */

package JProjects.eab.data;

/**Interface for persistent object event listeners. Used in asynchronous model of
 *data access.
 *@see POCompleteEvent
 *@see PersistentObject#addPOCompleteListener
 *@see PersistentObject#removePOCompleteListener
 *@author Alexander Jaremenko  <address><a href="mailto:jarem@altavista.net">&lt jarem@altavista.net &gt</a></address>
*/
public interface POCompleteListener extends ParameterListener {

    public abstract void updateComplete(POCompleteEvent ev);
    public abstract void retrieveComplete(POCompleteEvent ev);
    public abstract void SPCComplete(POCompleteEvent ev);
    public abstract void cancelComplete(POCompleteEvent ev);
}
