/*This code demonstrates how to use JProjects.eab.data package.
 *Classes Sample*.java was generated by JProjects.eab.data.wizzard.DataWizzard.
 *See Sample.par for detail description of this mapping.
 */

import java.util.*;
import JProjects.eab.data.*;

public class SampleExam {
  public static void main(String[] args) throws DAException,ClassNotFoundException {

    System.out.println("Sample Example Running");

    //You must adjust URL to your existing Database to make it working
    DatastoreJDBC datastore = new DatastoreJDBC("jdbc:informix-sqli://host:1526/sample:informixserver=ifxserver");

    //here You must substitute driver string for Your favorite jdbc driver
    datastore.setDriver("com.informix.jdbc.IfxDriver");

    //attempt to make connection. Use Your actual database user name and password
    datastore.connect("wwwuser","wwwuser");

    //add new records
    for (int i=1;i<6;i++) {
      Sample s = new Sample();
      s.setIntVal(i);
      s.setFloatVal(new Float((float)i));
      s.setCharVal(""+i);
      s.setDateVal(new java.sql.Date(System.currentTimeMillis()));
      s.add();
    }
    SampleManager mgr = new SampleManager();
    mgr.select(null);
    Vector results = mgr.items();
    System.out.println("Inserted rows:");
    for (int i = 0;i<results.size();i++)
      System.out.println(results.elementAt(i));

    //now update some record
    mgr.open(" where t1.int_val=1 for update");
    mgr.fetchNext();
    Sample curEl = mgr.element();
    curEl.setCharVal("updated");
    mgr.updateFetched();

    //see results of update
    mgr.select(null);
    results = mgr.items();
    System.out.println("\nSome of the rows was updated:");
    for (int i = 0;i<results.size();i++)
      System.out.println(results.elementAt(i));

    //clean the table. Consider simple DatastoreJDBC.executeSQL method.
    mgr.open(" for update");
    while(mgr.fetchNext())
      mgr.deleteFetched();
    System.out.println("Sample table was cleaned. Test is over.");
    datastore.disconnect();    
  }

}
